org.eclipse.viatra.query.patternlanguage.emf.serializer

## Class AbstractEMFPatternLanguageSemanticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer
  - - org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer
    - - org.eclipse.xtext.xbase.serializer.AbstractXtypeSemanticSequencer
      - - org.eclipse.xtext.xbase.serializer.XtypeSemanticSequencer
        - - org.eclipse.xtext.xbase.serializer.AbstractXbaseSemanticSequencer
          - - org.eclipse.xtext.xbase.serializer.XbaseSemanticSequencer
            - - org.eclipse.viatra.query.patternlanguage.serializer.AbstractPatternLanguageSemanticSequencer
              - - org.eclipse.viatra.query.patternlanguage.serializer.PatternLanguageSemanticSequencer
                - - org.eclipse.viatra.query.patternlanguage.emf.serializer.AbstractEMFPatternLanguageSemanticSequencer

- All Implemented Interfaces:
    org.eclipse.xtext.serializer.sequencer.ISemanticSequencer
  Direct Known Subclasses:
    EMFPatternLanguageSemanticSequencer

      public abstract class AbstractEMFPatternLanguageSemanticSequencer
      extends PatternLanguageSemanticSequencer

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.serializer.XbaseSemanticSequencer

      `OPERATOR_NOT_SUPPORTED`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `genericSequencer, genericSequencerProvider`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `diagnosticProvider, errorAcceptor, feederProvider, masterSequencer, nodeProvider, sequenceAcceptor, transientValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEMFPatternLanguageSemanticSequencer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `sequence_EClassifierConstraint(org.eclipse.xtext.serializer.ISerializationContext context, EClassifierConstraint semanticObject)` Contexts: Constraint returns EClassifierConstraint EClassifierConstraint returns EClassifierConstraint Constraint: (type=Type var=VariableReference)
    `protected void` | `sequence_EMFPatternModel(org.eclipse.xtext.serializer.ISerializationContext context, PatternModel semanticObject)` Contexts: EMFPatternModel returns PatternModel Constraint: (packageName=QualifiedName? importPackages=XImportSection patterns+=Pattern*)
    `protected void` | `sequence_EnumValue(org.eclipse.xtext.serializer.ISerializationContext context, EnumValue semanticObject)` Contexts: LiteralValueReference returns EnumValue EnumValue returns EnumValue Expression returns EnumValue ValueReference returns EnumValue AnnotationValueReference returns EnumValue Constraint: (enumeration=[EEnum|ID]? literal=[EEnumLiteral|ID])
    `protected void` | `sequence_PackageImport(org.eclipse.xtext.serializer.ISerializationContext context, PackageImport semanticObject)` Contexts: PackageImport returns PackageImport Constraint: (ePackage=[EPackage|STRING] alias=ID?)
    `protected void` | `sequence_PatternImport(org.eclipse.xtext.serializer.ISerializationContext context, PatternImport semanticObject)` Contexts: PatternImport returns PatternImport Constraint: pattern=[Pattern|QualifiedName]
    `protected void` | `sequence_RefType(org.eclipse.xtext.serializer.ISerializationContext context, ReferenceType semanticObject)` Contexts: RefType returns ReferenceType Constraint: refname=[EStructuralFeature|ID]
    `protected void` | `sequence_Type(org.eclipse.xtext.serializer.ISerializationContext context, ClassType semanticObject)` Contexts: Type returns ClassType Constraint: (metamodel=[PackageImport|ID]? classname=[EClassifier|ID])
    `protected void` | `sequence_XImportDeclaration(org.eclipse.xtext.serializer.ISerializationContext context, org.eclipse.xtext.xtype.XImportDeclaration semanticObject)` Contexts: XImportDeclaration returns XImportDeclaration Constraint: ( (static?='static' extension?='extension'? importedType=[JvmDeclaredType|QualifiedName]) | importedType=[JvmDeclaredType|QualifiedName] | importedNamespace=QualifiedNameWithWildcard )
    `protected void` | `sequence_XImportSection(org.eclipse.xtext.serializer.ISerializationContext context, XImportSection semanticObject)` Contexts: XImportSection returns XImportSection Constraint: (packageImport+=PackageImport | patternImport+=PatternImport | importDeclarations+=XImportDeclaration)*
    `void` | `sequence(org.eclipse.xtext.serializer.ISerializationContext context, org.eclipse.emf.ecore.EObject semanticObject)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.serializer.AbstractPatternLanguageSemanticSequencer

      `sequence_AggregatedValue, sequence_Annotation, sequence_AnnotationParameter, sequence_BoolValue, sequence_CheckConstraint, sequence_CompareConstraint, sequence_FunctionEvaluationValue, sequence_JavaType, sequence_ListValue, sequence_LocalVariable, sequence_Modifiers, sequence_NumberValue, sequence_Parameter, sequence_ParameterRef, sequence_PathExpressionConstraint, sequence_PathExpressionHead, sequence_PathExpressionTail, sequence_Pattern, sequence_PatternBody, sequence_PatternCall, sequence_PatternCompositionConstraint, sequence_PatternModel, sequence_RefType, sequence_StringValue, sequence_Type, sequence_TypeCheckConstraint, sequence_Variable, sequence_VariableReference, sequence_VariableValue, sequence_XBooleanLiteral, sequence_XNumberLiteral`

    - ### Methods inherited from class org.eclipse.xtext.xbase.serializer.XbaseSemanticSequencer

      `getValidOperator, isBuilderSyntax, isBuilderSyntax, isXShortClosure, isXShortClosure, isXShortClosureAndBuilderSyntax, sequence_XAdditiveExpression_XAndExpression_XAssignment_XEqualityExpression_XMultiplicativeExpression_XOrExpression_XOtherOperatorExpression_XRelationalExpression, sequence_XAdditiveExpression, sequence_XAssignment, sequence_XConstructorCall, sequence_XExpression, sequence_XFeatureCall, sequence_XMemberFeatureCall`

    - ### Methods inherited from class org.eclipse.xtext.xbase.serializer.AbstractXbaseSemanticSequencer

      `sequence_FullJvmFormalParameter, sequence_FullJvmFormalParameter, sequence_JvmFormalParameter, sequence_JvmFormalParameter, sequence_XAdditiveExpression_XAndExpression_XAssignment_XEqualityExpression_XMultiplicativeExpression_XOrExpression_XOtherOperatorExpression_XRelationalExpression, sequence_XAssignment_XMemberFeatureCall, sequence_XAssignment_XMemberFeatureCall, sequence_XBasicForLoopExpression, sequence_XBasicForLoopExpression, sequence_XBlockExpression, sequence_XBlockExpression, sequence_XBooleanLiteral, sequence_XBooleanLiteral, sequence_XCasePart, sequence_XCasePart, sequence_XCastedExpression, sequence_XCastedExpression, sequence_XCatchClause, sequence_XCatchClause, sequence_XClosure, sequence_XClosure, sequence_XConstructorCall, sequence_XDoWhileExpression, sequence_XDoWhileExpression, sequence_XExpressionInClosure, sequence_XExpressionInClosure, sequence_XFeatureCall, sequence_XForLoopExpression, sequence_XForLoopExpression, sequence_XIfExpression, sequence_XIfExpression, sequence_XListLiteral, sequence_XListLiteral, sequence_XMemberFeatureCall, sequence_XNullLiteral, sequence_XNullLiteral, sequence_XNumberLiteral, sequence_XNumberLiteral, sequence_XPostfixOperation, sequence_XPostfixOperation, sequence_XRelationalExpression, sequence_XRelationalExpression, sequence_XReturnExpression, sequence_XReturnExpression, sequence_XSetLiteral, sequence_XSetLiteral, sequence_XShortClosure, sequence_XShortClosure, sequence_XStringLiteral, sequence_XStringLiteral, sequence_XSwitchExpression, sequence_XSwitchExpression, sequence_XSynchronizedExpression, sequence_XSynchronizedExpression, sequence_XThrowExpression, sequence_XThrowExpression, sequence_XTryCatchFinallyExpression, sequence_XTryCatchFinallyExpression, sequence_XTypeLiteral, sequence_XTypeLiteral, sequence_XUnaryOperation, sequence_XUnaryOperation, sequence_XVariableDeclaration, sequence_XVariableDeclaration, sequence_XWhileExpression, sequence_XWhileExpression`

    - ### Methods inherited from class org.eclipse.xtext.xbase.serializer.AbstractXtypeSemanticSequencer

      `sequence_JvmLowerBound, sequence_JvmLowerBound, sequence_JvmLowerBoundAnded, sequence_JvmLowerBoundAnded, sequence_JvmParameterizedTypeReference_JvmInnerTypeReference_1_4_0_0_0, sequence_JvmParameterizedTypeReference_JvmInnerTypeReference_1_4_0_0_0, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference, sequence_JvmParameterizedTypeReference, sequence_JvmTypeParameter, sequence_JvmTypeParameter, sequence_JvmTypeReference, sequence_JvmTypeReference, sequence_JvmUpperBound, sequence_JvmUpperBound, sequence_JvmUpperBoundAnded, sequence_JvmUpperBoundAnded, sequence_JvmWildcardTypeReference, sequence_JvmWildcardTypeReference, sequence_XFunctionTypeRef, sequence_XFunctionTypeRef, sequence_XImportDeclaration, sequence_XImportSection, sequence_XImportSection`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `createContext, createNodeProvider, createSequence, createSequence, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, init, setMasterSequencer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEMFPatternLanguageSemanticSequencer

          public AbstractEMFPatternLanguageSemanticSequencer()

  - ### Method Detail

    - #### sequence

          public void sequence(org.eclipse.xtext.serializer.ISerializationContext context,
                               org.eclipse.emf.ecore.EObject semanticObject)

      Overrides:
        `sequence` in class `AbstractPatternLanguageSemanticSequencer`

    - #### sequence_EClassifierConstraint

          protected void sequence_EClassifierConstraint(org.eclipse.xtext.serializer.ISerializationContext context,
                                                        EClassifierConstraint semanticObject)

      Contexts: Constraint returns EClassifierConstraint EClassifierConstraint returns EClassifierConstraint Constraint: (type=Type var=VariableReference)

    - #### sequence_EMFPatternModel

          protected void sequence_EMFPatternModel(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  PatternModel semanticObject)

      Contexts: EMFPatternModel returns PatternModel Constraint: (packageName=QualifiedName? importPackages=XImportSection patterns+=Pattern*)

    - #### sequence_EnumValue

          protected void sequence_EnumValue(org.eclipse.xtext.serializer.ISerializationContext context,
                                            EnumValue semanticObject)

      Contexts: LiteralValueReference returns EnumValue EnumValue returns EnumValue Expression returns EnumValue ValueReference returns EnumValue AnnotationValueReference returns EnumValue Constraint: (enumeration=[EEnum|ID]? literal=[EEnumLiteral|ID])

    - #### sequence_PackageImport

          protected void sequence_PackageImport(org.eclipse.xtext.serializer.ISerializationContext context,
                                                PackageImport semanticObject)

      Contexts: PackageImport returns PackageImport Constraint: (ePackage=[EPackage|STRING] alias=ID?)

    - #### sequence_PatternImport

          protected void sequence_PatternImport(org.eclipse.xtext.serializer.ISerializationContext context,
                                                PatternImport semanticObject)

      Contexts: PatternImport returns PatternImport Constraint: pattern=[Pattern|QualifiedName]

    - #### sequence_RefType

          protected void sequence_RefType(org.eclipse.xtext.serializer.ISerializationContext context,
                                          ReferenceType semanticObject)

      Contexts: RefType returns ReferenceType Constraint: refname=[EStructuralFeature|ID]

    - #### sequence_Type

          protected void sequence_Type(org.eclipse.xtext.serializer.ISerializationContext context,
                                       ClassType semanticObject)

      Contexts: Type returns ClassType Constraint: (metamodel=[PackageImport|ID]? classname=[EClassifier|ID])

    - #### sequence_XImportDeclaration

          protected void sequence_XImportDeclaration(org.eclipse.xtext.serializer.ISerializationContext context,
                                                     org.eclipse.xtext.xtype.XImportDeclaration semanticObject)

      Contexts: XImportDeclaration returns XImportDeclaration Constraint: ( (static?='static' extension?='extension'? importedType=[JvmDeclaredType|QualifiedName]) | importedType=[JvmDeclaredType|QualifiedName] | importedNamespace=QualifiedNameWithWildcard )
      Overrides:
        `sequence_XImportDeclaration` in class `org.eclipse.xtext.xbase.serializer.AbstractXtypeSemanticSequencer`

    - #### sequence_XImportSection

          protected void sequence_XImportSection(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 XImportSection semanticObject)

      Contexts: XImportSection returns XImportSection Constraint: (packageImport+=PackageImport | patternImport+=PatternImport | importDeclarations+=XImportDeclaration)*